#!/bin/bash

if [ -z $1 ]; then
	echo "Usage: $0 <output file>"
	exit 1
fi

OUTPUT=$1

rm -f $OUTPUT.temp

liste=(`cat <missing_sorted.dat`)

check=()
i=0
while [ $i -lt ${#liste[*]} ]; do
	check[$i]=0
	((i+=1))
done

OLDIFS=$IFS
IFS='
'
for line in `find . -name '*.at' -exec grep molecuilder {} \;`; do 
	call=`echo $line | awk -F"/molecuilder" '{print $2}' | awk -F"]" '{print $1}'`
	#echo "call is $call"	
	i=0
	while [ $i -lt ${#liste[*]} ]; do
		#echo "Looking for ${liste[$i]} ..."
		if [ ! -z `echo $call | grep ${liste[$i]}` ]; then
		opts=`echo $call | awk -F"--${liste[$i]} " {'print $2'}`
		if [ ! -z $opts ]; then
			echo "opts is $opts"	
			value=`echo $opts | awk -F" -" {'print $1'} | awk -F"]" '{print $1}' | awk -F"--" {'print $1'}`
			value2=`echo $value | awk -F"\"" '{print $2}'`
			if [ ! -z $value2 ]; then
				value=$value2
			fi
			if [ -z $value ]; then
				echo "Found an option ${liste[$i]} with no value."
				echo -e "${liste[$i]}\t\"\"" >>$OUTPUT.temp
			else
				echo "Found an option ${liste[$i]} with value $value."
				echo -e "${liste[$i]}\t\"$value\"" >>$OUTPUT.temp
			fi
			check[$i]=1
		fi
		fi
		((i+=1))
	done
done
IFS=$OLDIFS

# output empty defaults for values not found
i=0
while [ $i -lt ${#liste[*]} ]; do
	if [ ${check[$i]} -eq 0 ]; then
		echo -e "${liste[$i]}\t\"\"" >>$OUTPUT.temp
	fi
	((i+=1))
done

echo -e "#key\tvalue" >$OUTPUT
sort $OUTPUT.temp | uniq >>$OUTPUT


